<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>1.4.1.RELEASE</version>
	</parent>
	<groupId>com.uas.search</groupId>
	<artifactId>search-parent</artifactId>
	<version>0.1.9-SNAPSHOT</version>
	<packaging>pom</packaging>

	<modules>
		<module>search-common</module>
	</modules>

	<profiles>
		<profile>
			<id>all</id>
			<activation>
				<activeByDefault>true</activeByDefault>
			</activation>
			<modules>
				<module>mall-search</module>
				<module>search-api-b2b</module>
				<module>search-console-b2b</module>
			</modules>
		</profile>
		<profile>
			<id>b2c_release</id>
			<modules>
				<module>mall-search</module>
			</modules>
		</profile>
		<profile>
			<id>b2b_release</id>
			<modules>
				<module>search-api-b2b</module>
				<module>search-console-b2b</module>
			</modules>
		</profile>
	</profiles>

	<properties>
		<project.version>0.1.9-SNAPSHOT</project.version>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<java.source.version>1.7</java.source.version>
		<java.target.version>1.7</java.target.version>
		<maven.compiler.plugin.version>2.3.2</maven.compiler.plugin.version>
		<search.common.version>0.1.9-SNAPSHOT</search.common.version>
		<dubbo.version>2.8.4</dubbo.version>
		<zookeeper.version>3.4.6</zookeeper.version>
		<fastjson.version>1.2.15</fastjson.version>
		<zkclient.version>0.1</zkclient.version>
		<druid.version>1.0.24</druid.version>
		<hibernate.ehcache.version>4.3.7.Final</hibernate.ehcache.version>
		<oracle.jdbc.version>11.2.0</oracle.jdbc.version>
		<jms.version>1.1</jms.version>
		<lucene.version>5.2.0</lucene.version>
		<ikanalyzer.version>2012_v5</ikanalyzer.version>
	</properties>

	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>com.uas.search</groupId>
				<artifactId>search-common</artifactId>
				<version>${search.common.version}</version>
			</dependency>
			<dependency>
				<groupId>junit</groupId>
				<artifactId>junit</artifactId>
				<version>${junit.version}</version>
				<scope>test</scope>
			</dependency>
			<!-- jdbc -->
			<dependency>
				<groupId>com.oracle</groupId>
				<artifactId>ojdbc6</artifactId>
				<version>${oracle.jdbc.version}</version>
			</dependency>
			<!-- dubbo -->
			<dependency>
				<groupId>com.alibaba</groupId>
				<artifactId>dubbo</artifactId>
				<version>${dubbo.version}</version>
				<exclusions>
					<exclusion>
						<groupId>javax.servlet</groupId>
						<artifactId>javax.servlet-api</artifactId>
					</exclusion>
					<exclusion>
						<groupId>commons-logging</groupId>
						<artifactId>commons-logging</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<!-- alibaba -->
			<dependency>
				<groupId>com.alibaba</groupId>
				<artifactId>fastjson</artifactId>
				<version>${fastjson.version}</version>
			</dependency>
			<!-- zookeeper -->
			<dependency>
				<groupId>org.apache.zookeeper</groupId>
				<artifactId>zookeeper</artifactId>
				<version>${zookeeper.version}</version>
			</dependency>
			<dependency>
				<groupId>com.github.sgroschupf</groupId>
				<artifactId>zkclient</artifactId>
				<version>${zkclient.version}</version>
			</dependency>
			<!-- druid -->
			<dependency>
				<groupId>com.alibaba</groupId>
				<artifactId>druid</artifactId>
				<version>${druid.version}</version>
			</dependency>
			<dependency>
				<groupId>org.hibernate</groupId>
				<artifactId>hibernate-ehcache</artifactId>
				<version>${hibernate.ehcache.version}</version>
			</dependency>
			<dependency>
				<groupId>javax.jms</groupId>
				<artifactId>jms</artifactId>
				<version>${jms.version}</version>
			</dependency>

			<!-- lucene -->
			<dependency>
				<groupId>org.apache.lucene</groupId>
				<artifactId>lucene-core</artifactId>
				<version>${lucene.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.lucene</groupId>
				<artifactId>lucene-queryparser</artifactId>
				<version>${lucene.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.lucene</groupId>
				<artifactId>lucene-analyzers-common</artifactId>
				<version>${lucene.version}</version>
			</dependency>

			<!-- IKAnalyzer -->
			<dependency>
				<groupId>org.wltea.analyzer</groupId>
				<artifactId>IKAnalyzer</artifactId>
				<version>${ikanalyzer.version}</version>
			</dependency>
		</dependencies>
	</dependencyManagement>

	<distributionManagement>
		<!-- 发布release仓库 -->
		<repository>
			<id>platform-release</id>
			<name>platform-release</name>
			<url>http://10.10.100.21:8081/artifactory/libs-release-local</url>
		</repository>
		<!-- 发布快照版本 -->
		<snapshotRepository>
			<id>platform-snapshots</id>
			<name>platform-snapshots</name>
			<url>http://10.10.100.21:8081/artifactory/libs-snapshot-local</url>
		</snapshotRepository>
	</distributionManagement>
</project>